Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595645 - nouveau doesn't work on NV20 hardware (black screen)
Summary: nouveau doesn't work on NV20 hardware (black screen)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 09:42 UTC by Jan Willies
Modified: 2011-06-27 16:37 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.34.1-15.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:37:49 UTC


Attachments (Terms of Use)
/var/log/messages output (deleted)
2010-05-25 09:42 UTC, Jan Willies
no flags Details
/var/log/messages output #2 (deleted)
2010-05-26 07:39 UTC, Jan Willies
no flags Details

Description Jan Willies 2010-05-25 09:42:18 UTC
Created attachment 416335 [details]
/var/log/messages output

Description of problem: When I boot without "nomodeset" I only get a black screen. When gdm is starting, there is for a short second the blue background with fedora f in the middle but it disappears quickly.

the monitor is connected via VGA. Unfortunately I only have a VGA screen available.


Version-Release number of selected component (if applicable): Fedora 13 RC3 with all updates installed


How reproducible: everytime


Steps to Reproduce:
1. boot without 'nomodeset'
2.
3.
  
Actual results: black screen


Expected results: normal plymouth boot screen


Additional info: attached is the output which is printed in the logs

Comment 1 Ben Skeggs 2010-05-26 04:57:41 UTC
I'm not too certain how some of the messages you're seeing in your log are possible actually.

Could you boot with "drm=debug=15 3" and save your dmesg output, and attach to this bug.

Thanks :)

Comment 2 Jan Willies 2010-05-26 07:39:11 UTC
Created attachment 416701 [details]
/var/log/messages output #2

with ro root=/dev/mapper/vg_papa-lv_root rd_LVM_LV=vg_papa/lv_root rd_LVM_LV=vg_papa/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=de_DE.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=de-latin1-nodeadkeys rhgb quiet drm=debug=15 3

Comment 3 Jan Willies 2010-07-14 13:55:15 UTC
same with kernel-PAE-2.6.34.1-11.fc13.i686.rpm:

Jul 14 15:51:33 papa kernel: nouveau 0000:01:00.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Detected an NV20 generation card (0x020100a5)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: ... appears to be valid
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: BMP BIOS found
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: BMP version 5.20
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Bios version 03.20.00.18
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 1.5
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Raw DCB entry 0: f0003f00 000088b8
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Raw DCB entry 1: f2005004 ffffffff
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Raw DCB entry 3: f4208031 ffffffff
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xA616
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xAC70
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xA631
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xAC17
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xA6B5
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 5 at offset 0xA7C8
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 6 at offset 0xA6DE
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 7 at offset 0xA763
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Detected 64MiB VRAM
Jul 14 15:51:33 papa kernel: [TTM] Zone  kernel: Available graphics memory: 222470 kiB.
Jul 14 15:51:33 papa kernel: [TTM] Initializing pool allocator.
Jul 14 15:51:33 papa kernel: agpgart-via 0000:00:00.0: AGP 2.0 bridge
Jul 14 15:51:33 papa kernel: agpgart-via 0000:00:00.0: putting AGP V2 device into 4x mode
Jul 14 15:51:33 papa kernel: nouveau 0000:01:00.0: putting AGP V2 device into 4x mode
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: 64 MiB GART (aperture)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Saving VGA fonts
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Probing TV encoders on I2C bus: 2
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: No TV encoders found.
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: TV-1 has no encoders, removing
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Allocating FIFO number 0
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 0
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 1)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 2)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Load detected on head A
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: allocated 1024x768 fb: 0x44000, bo db9f1c00
Jul 14 15:51:33 papa kernel: fbcon: nouveaufb (fb0) is primary device
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
ul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 0 using output A
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 2)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 0 using output @
Jul 14 15:51:33 papa kernel: Console: switching to colour frame buffer device 128x48
Jul 14 15:51:33 papa kernel: fb0: nouveaufb frame buffer device
Jul 14 15:51:33 papa kernel: drm: registered panic notifier
Jul 14 15:51:33 papa kernel: [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
Jul 14 15:51:33 papa kernel: dracut: Starting plymouth daemon
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Load detected on head A
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 2)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 0 using output A
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 2)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 0 using output @
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 2)
Jul 14 15:51:33 papa kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
[...]

Comment 4 Ben Skeggs 2010-07-15 03:40:52 UTC
Can you give this scratch build a try: http://koji.fedoraproject.org/koji/taskinfo?taskID=2321029

The kernel version number in that package is the same as your current kernel, so you'll need to install with "rpm -Uvh --force".

Comment 5 Jan Willies 2010-07-15 13:10:04 UTC
yes, that changes something:

nouveau 0000:01:00.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
[drm] nouveau 0000:01:00.0: Detected an NV20 generation card (0x020100a5)
[drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[drm] nouveau 0000:01:00.0: ... appears to be valid
[drm] nouveau 0000:01:00.0: BMP BIOS found
[drm] nouveau 0000:01:00.0: BMP version 5.20
[drm] nouveau 0000:01:00.0: Bios version 03.20.00.18
[drm] nouveau 0000:01:00.0: Found Display Configuration Block version 1.5
[drm] nouveau 0000:01:00.0: Raw DCB entry 0: f0003f00 000088b8
[drm] nouveau 0000:01:00.0: Raw DCB entry 1: f2005004 ffffffff
[drm] nouveau 0000:01:00.0: Raw DCB entry 2: f4208031 ffffffff
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xA616
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xAC70
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xA631
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xAC17
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xA6B5
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 5 at offset 0xA7C8
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 6 at offset 0xA6DE
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 7 at offset 0xA763
[drm] nouveau 0000:01:00.0: Detected 64MiB VRAM
[TTM] Zone  kernel: Available graphics memory: 222470 kiB.
[TTM] Initializing pool allocator.
agpgart-via 0000:00:00.0: AGP 2.0 bridge
agpgart-via 0000:00:00.0: putting AGP V2 device into 4x mode
nouveau 0000:01:00.0: putting AGP V2 device into 4x mode
[drm] nouveau 0000:01:00.0: 64 MiB GART (aperture)
[drm] nouveau 0000:01:00.0: Saving VGA fonts
[drm] nouveau 0000:01:00.0: Probing TV encoders on I2C bus: 2
[drm] nouveau 0000:01:00.0: No TV encoders found.
[drm] nouveau 0000:01:00.0: TV-1 has no encoders, removing
[drm] nouveau 0000:01:00.0: Allocating FIFO number 0
[drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 0
Slow work thread pool: Starting up
Slow work thread pool: Ready
[drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
[drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 1)
[drm] nouveau 0000:01:00.0: allocated 1280x1030 fb: 0x44000, bo db664400
fbcon: nouveaufb (fb0) is primary device
[drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
[drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 0 using output A
Console: switching to colour frame buffer device 160x64
fb0: nouveaufb frame buffer device
drm: registered panic notifier
[drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
dracut: Starting plymouth daemon
[...]
[drm] nouveau 0000:01:00.0: Allocating FIFO number 1
[drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
[drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
[drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 0 using output A
[drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1

It still stops booting at gdm, unlike 'nomodeset' which boots straight to the desktop. I have autologin and vnc set up, so that I can access the screen remotely. Not sure if there's anything displayed on the screen right now, or just black.

Comment 6 Ben Skeggs 2010-07-15 23:23:25 UTC
Ok, just to confirm, your display issue is fixed however?  The GPU is hanging for some reason, the only guess I have initially is to try "nouveau.noagp=1" also.

Comment 7 Jan Willies 2010-07-18 09:22:20 UTC
yes, the boot-screen is indeed fixed! But when gdm is started, the screen turns black (with and without nouveau.noagp=1). 

Should I open another bug for that? What useful information can I provide?

Comment 8 Ben Skeggs 2010-07-19 00:11:25 UTC
I'd say it's a completely unrelated bug, you can probably confirm/work around if you boot with "nouveau.noaccel=1"

Comment 9 Jan Willies 2010-07-19 13:11:41 UTC
correct, I can boot just fine with nouveau.noaccel=1. I guess running with noaccel=1 is still better than nomodeset?

will open another bug then

Comment 10 Ben Skeggs 2010-07-19 22:15:49 UTC
Thank you :)

Comment 11 Fedora Update System 2010-08-07 05:01:06 UTC
kernel-2.6.34.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13

Comment 12 Fedora Update System 2010-08-07 23:29:04 UTC
kernel-2.6.34.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13

Comment 13 Fedora Update System 2010-08-10 23:54:05 UTC
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13

Comment 14 Fedora Update System 2010-08-11 07:26:24 UTC
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13

Comment 15 Bug Zapper 2011-06-02 13:33:54 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2011-06-27 16:37:49 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.